package java.awt.im;

import java.text.AttributedCharacterIterator;
import java.awt.Rectangle;
import java.awt.font.TextHitInfo;

public interface InputMethodRequests
{
    public abstract Rectangle getTextLocation(TextHitInfo p0);
    
    public abstract TextHitInfo getLocationOffset(int p0, int p1);
    
    public abstract int getInsertPositionOffset();
    
    public abstract AttributedCharacterIterator getCommittedText(int p0, int p1, AttributedCharacterIterator.Attribute[] p2);
    
    public abstract int getCommittedTextLength();
    
    public abstract AttributedCharacterIterator cancelLatestCommittedText(AttributedCharacterIterator.Attribute[] p0);
    
    public abstract AttributedCharacterIterator getSelectedText(AttributedCharacterIterator.Attribute[] p0);
}
